using Microsoft.ML.Data;

namespace SpamClassifier.Core.Models;

public sealed class TextMessageData
{
    [LoadColumn(0)]
    public string Text { get; set; } = string.Empty;

    [LoadColumn(1)]
    public bool Label { get; set; }   // 0 = ham, 1 = spam
}
